services:
  mc:
    container_name: schoolmc
    user: "1010:1010"
    build: .
    restart: always
    ports:
      - 25565:25565
      - 127.0.0.1:25576:25575
    environment:
      - MIN_RAM=1G
      - MAX_RAM=8G
    volumes:
      - ./mc:/mc
    networks:
      docker-network:
        ipv4_address: 172.21.0.90

networks:
  docker-network:
    external: true
